Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3WhatsThis Class Reference

    #include <Q3WhatsThis>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- Q3WhatsThis ( QWidget * widget )
- ~Q3WhatsThis ()
- virtual bool clicked ( const QString & href )
- virtual QString text ( const QPoint & pos )

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- void add ( QWidget * widget, const QString & text )
- void display ( const QString & text, const QPoint & pos = QCursor::pos(), QWidget * widget = 0 )
- void enterWhatsThisMode ()
- bool inWhatsThisMode ()
- void leaveWhatsThisMode ( const QString & text = QString::null, const QPoint & pos = QCursor::pos(), QWidget * widget = 0 )
- void remove ( QWidget * widget )
- QToolButton * whatsThisButton ( QWidget * parent )

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### Q3WhatsThis::Q3WhatsThis ( QWidget * widget )

Constructs a new "What's This?" object for widget.

### Q3WhatsThis::~Q3WhatsThis ()

Destroys the "What's This?" object.

### void Q3WhatsThis::add ( QWidget * widget, const QString & text ) `[static]`

Adds text as "What's This?" help for widget. If the text is rich text formatted (i.e. it contains markup) it will be rendered with the default stylesheet QStyleSheet::defaultSheet().

The text is destroyed if the widget is later destroyed, so it need not be explicitly removed.

See also remove().

### bool Q3WhatsThis::clicked ( const QString & href ) `[virtual]`

This virtual function is called when the user clicks inside the "What's this?" window. href is the link the user clicked on, or an empty string if there was no link.

If the function returns true (the default), the "What's this?" window is closed, otherwise it remains visible.

The default implementation ignores href and returns true.

### void Q3WhatsThis::display ( const QString & text, const QPoint & pos = QCursor::pos(), QWidget * widget = 0 ) `[static]`

Display text in a help window at the global screen position pos.

If widget widget is not 0 and has its own dedicated QWhatsThis object, this object will receive clicked() messages when the user clicks on hyperlinks inside the help text.

See also QWhatsThis::clicked().

### void Q3WhatsThis::enterWhatsThisMode () `[static]`

Enters "What's This?" mode and returns immediately.

Qt will install a special cursor and take over mouse input until the user clicks somewhere. It then shows any help available and ends "What's This?" mode. Finally, Qt removes the special cursor and help window and then restores ordinary event processing, at which point the left mouse button is no longer pressed.

The user can also use the Esc key to leave "What's This?" mode.

See also inWhatsThisMode() and leaveWhatsThisMode().

### bool Q3WhatsThis::inWhatsThisMode () `[static]`

Returns TRUE if the application is in "What's This?" mode; otherwise returns FALSE.

See also enterWhatsThisMode() and leaveWhatsThisMode().

### void Q3WhatsThis::leaveWhatsThisMode ( const QString & text = QString::null, const QPoint & pos = QCursor::pos(), QWidget * widget = 0 ) `[static]`

This function is used internally by widgets that support QWidget::customWhatsThis(); applications do not usually call it. An example of such a widget is QPopupMenu: menus still work normally in "What's This?" mode but also provide help texts for individual menu items.

If text is not QString::null, a "What's This?" help window is displayed at the global screen position pos. If widget widget is not 0 and has its own dedicated QWhatsThis object, this object will receive clicked() messages when the user clicks on hyperlinks inside the help text.

See also inWhatsThisMode(), enterWhatsThisMode(), and QWhatsThis::clicked().

### void Q3WhatsThis::remove ( QWidget * widget ) `[static]`

Removes the "What's This?" help associated with the widget. This happens automatically if the widget is destroyed.

See also add().

### QString Q3WhatsThis::text ( const QPoint & pos ) `[virtual]`

This virtual function returns the text for position pos in the widget that this "What's This?" object documents. If there is no "What's This?" text for the position, an empty string is returned.

The default implementation returns an empty string.

### QToolButton * Q3WhatsThis::whatsThisButton ( QWidget * parent ) `[static]`

Creates a QToolButton preconfigured to enter "What's This?" mode when clicked. You will often use this with a tool bar as parent:

        (void)QWhatsThis::whatsThisButton( my_help_tool_bar );